Bug 177261 - NETDEV WATCHDOG: eth0: transmit timed out during data transfers
NETDEV WATCHDOG: eth0: transmit timed out during data transfers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 08:16 EST by mebmot
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mebmot 2006-01-08 08:16:50 EST
From Bugzilla Helper:
User-Agent: Opera/8.51 (X11; Linux i686; U; en)

Description of problem:
during data transfering the error occur 

Jan  8 01:52:34 pc014 kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jan  8 01:52:34 pc014 kernel: eth0: transmit timed out, tx_status 00 status 
e000.
Jan  8 01:52:34 pc014 kernel:   diagnostics: net 0ce0 media a800 dma 000000a0 
fifo 8000
Jan  8 01:52:34 pc014 kernel:   Flags; bus-master 1, dirty 53691(11) current 
53707(11)
Jan  8 01:52:34 pc014 kernel:   Transmit list 06ae88e0 vs. c6ae88e0.
Jan  8 01:52:34 pc014 kernel:   0: @c6ae8200  length 80000049 status 0c000049
Jan  8 01:52:34 pc014 kernel:   1: @c6ae82a0  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   2: @c6ae8340  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   3: @c6ae83e0  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   4: @c6ae8480  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   5: @c6ae8520  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   6: @c6ae85c0  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   7: @c6ae8660  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   8: @c6ae8700  length 8000002a status 0000002a
Jan  8 01:52:34 pc014 kernel:   9: @c6ae87a0  length 8000002a status 8000002a
Jan  8 01:52:34 pc014 kernel:   10: @c6ae8840  length 8000002a status 8000002a
Jan  8 01:52:34 pc014 kernel:   11: @c6ae88e0  length 80000042 status 00000042
Jan  8 01:52:34 pc014 kernel:   12: @c6ae8980  length 80000042 status 00000042
Jan  8 01:52:34 pc014 kernel:   13: @c6ae8a20  length 80000042 status 00000042
Jan  8 01:52:34 pc014 kernel:   14: @c6ae8ac0  length 80000049 status 0c000049
Jan  8 01:52:34 pc014 kernel:   15: @c6ae8b60  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jan  8 01:52:44 pc014 kernel: eth0: transmit timed out, tx_status 00 status 
e000.
Jan  8 01:52:44 pc014 kernel:   diagnostics: net 0ce0 media a800 dma 000000a0 
fifo 8000
Jan  8 01:52:44 pc014 kernel:   Flags; bus-master 1, dirty 53691(11) current 
53707(11)
Jan  8 01:52:44 pc014 kernel:   Transmit list 06ae88e0 vs. c6ae88e0.
Jan  8 01:52:44 pc014 kernel:   0: @c6ae8200  length 80000049 status 0c000049
Jan  8 01:52:44 pc014 kernel:   1: @c6ae82a0  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   2: @c6ae8340  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   3: @c6ae83e0  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   4: @c6ae8480  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   5: @c6ae8520  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   6: @c6ae85c0  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   7: @c6ae8660  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   8: @c6ae8700  length 8000002a status 0000002a
Jan  8 01:52:44 pc014 kernel:   9: @c6ae87a0  length 8000002a status 8000002a
Jan  8 01:52:44 pc014 kernel:   10: @c6ae8840  length 8000002a status 8000002a
Jan  8 01:52:44 pc014 kernel:   11: @c6ae88e0  length 80000042 status 00000042
Jan  8 01:52:45 pc014 kernel:   12: @c6ae8980  length 80000042 status 00000042
Jan  8 01:52:45 pc014 kernel:   13: @c6ae8a20  length 80000042 status 00000042
Jan  8 01:52:45 pc014 kernel:   14: @c6ae8ac0  length 80000049 status 0c000049
Jan  8 01:52:45 pc014 kernel:   15: @c6ae8b60  length 8000002a status 0000002a

lspci -v output: 
02:00.0 Ethernet controller: 3Com Corporation 3cCFE575CT CardBus [Cyclone] (rev 
10)
        Subsystem: 3Com Corporation FE575C-3Com 10/100 LAN CardBus-Fast Ethernet 
       Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 1000 [size=128]
        Memory at 12000000 (32-bit, non-prefetchable) [size=128]
        Memory at 12000080 (32-bit, non-prefetchable) [size=128]
        [virtual] Expansion ROM at 10000000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 1


dmesg snippet
PCI: Enabling device 0000:02:00.0 (0000 -> 0003)
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [C142] -> GSI 11 (level, low) -> IRQ 
11
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:02:00.0: 3Com PCI 3CCFE575CT Tornado CardBus at 0x1000. Vers LK1.1.19
PCI: Setting latency timer of device 0000:02:00.0 to 64


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4

How reproducible:
Always

Steps to Reproduce:
1.bring up interface
2.start transfering data
3.wait
  

Actual Results:  error in syslog and connection timeouts

Expected Results:  no error and no connection problems

Additional info:
Comment 1 mebmot 2006-01-08 08:19:56 EST
i tried the kernel-2.6.14-1.1656_FC4.netdev.7 and there's no improvement only my 
computer hang
Comment 2 Chris Lalancette 2006-01-17 16:50:52 EST
Hi there,
     I have something for you to try.  Pass pci=routeirq to your kernel at boot
time, and let me know if that seems to make any difference.  If that doesn't
help, try passing pci=noacpi to your kernel at boot time.  Let me know how it
turns out.

Thanks
Comment 3 mebmot 2006-01-18 15:37:53 EST
Hi :)

I have tried both option and also acpi=off end there's always the same... :( no 
improvement...
Comment 4 Dave Jones 2006-02-03 02:19:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 10:25:10 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.